bdacheckcluster / bdachecksw Report "ERROR: Required package <package> is not valid : missing"

(Doc ID 2379337.1)

Last updated on APRIL 04, 2018

Applies to:

Big Data Appliance Integrated Software - Version 4.8.0 and later
Linux x86-64

Symptoms

bdacheckcluster or bdachecksw report missing files on one cluster node with an ERROR that looks like:

ERROR: Required package puppet is not valid : missing d /usr/share/doc/puppet-3.6.2/examples/hiera/modules/data/manifests/common.p

Based on an example using BDA V4.8 bdacheckcluster and/or bdachecksw output looks like:

ERROR: Required package perl is not valid : missing /usr/share/perl5/assert.pl
ERROR: Required package ofed-scripts is not valid : missing /usr/sbin/vendor_post_uninstall.sh
ERROR: Required package puppet is not valid : missing d /usr/share/doc/puppet-3.6.2/examples/hiera/modules/data/manifests/common.pp
ERROR: Required package bda is not valid : missing /opt/oracle/bda/bin/OraAvHadoopAudit2Xml.sh

1. For each missing package which is not valid issue "rpm -V <package>" to verify the missing files.

For example:

If nothing is returned by the rpm verify "rpm -V" then the package has no inconsistencies.

2. Determine if the files are really missing with "ls -l <path to file>"

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms